Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class ConnectorConnectionPoolConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.CommonConfigKeys
          com.sun.appserv.management.config.ConnectorConnectionPoolConfigKeys

public final class ConnectorConnectionPoolConfigKeys
extends CommonConfigKeys

Keys for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`.

Field Summary
`static java.lang.String` | `FAIL_ALL_CONNECTIONS_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.Boolean.
`static java.lang.String` | `IDLE_TIMEOUT_IN_SECONDS_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.
`static java.lang.String` | `MAX_POOL_SIZE_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.
`static java.lang.String` | `MAX_WAIT_TIME_IN_MILLIS_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.
`static java.lang.String` | `POOL_RESIZE_QUANTITY_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.
`static java.lang.String` | `STEADY_POOL_SIZE_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.
`static java.lang.String` | `TRANSACTION_SUPPORT_KEY` Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

Fields inherited from class com.sun.appserv.management.config.CommonConfigKeys
`IGNORE_MISSING_REFERENCES_KEY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEADY_POOL_SIZE_KEY

    public static final java.lang.String STEADY_POOL_SIZE_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

  See Also:
    Constant Field Values

### MAX_POOL_SIZE_KEY

    public static final java.lang.String MAX_POOL_SIZE_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

  See Also:
    Constant Field Values

### MAX_WAIT_TIME_IN_MILLIS_KEY

    public static final java.lang.String MAX_WAIT_TIME_IN_MILLIS_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

  See Also:
    Constant Field Values

### POOL_RESIZE_QUANTITY_KEY

    public static final java.lang.String POOL_RESIZE_QUANTITY_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

  See Also:
    Constant Field Values

### IDLE_TIMEOUT_IN_SECONDS_KEY

    public static final java.lang.String IDLE_TIMEOUT_IN_SECONDS_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String.

  See Also:
    Constant Field Values

### FAIL_ALL_CONNECTIONS_KEY

    public static final java.lang.String FAIL_ALL_CONNECTIONS_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.Boolean.

  See Also:
    Constant Field Values

### TRANSACTION_SUPPORT_KEY

    public static final java.lang.String TRANSACTION_SUPPORT_KEY

  Key for use with `DomainConfig.createConnectorConnectionPoolConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`, value must be java.lang.String. Indicates the level of transaction support that this pool will have. Possible values are as defined in `TransactionSupportValues`. This attribute will override that transaction support attribute in the Resource Adapter in a downward compatible way, i.e it can support a lower/equal transaction level than specified in the RA, but not a higher level.

  See Also:
    `ConnectorConnectionPoolConfig.setTransactionSupport(java.lang.String)`, Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.